#! /bin/sh

LIBUSBPATH=libusb-1.0.9
LIBUSBCOMPATPATH=libusb-compat-0.1.4
LIBMTPNAME=mtp-1.1.6
LIBMTPPATH=lib$LIBMTPNAME

export CFLAGS=-fPIC
export LDFLAGS=-fPIC
export LIBS=-fPIC
export CPPFLAGS=-fPIC

LOCAL_FILE=.local_path
LOCAL=$(pwd)
echo ${LOCAL} | sed "s/BDP_Linux/:&/" | cut -f 1 -d ":" > ${LOCAL_FILE}
while read -r temp; do
	BDPROOT_PATH=${temp}
		 
done < ${LOCAL_FILE}

if [ -f "${LOCAL_FILE}" ]; then
    rm -fr ${LOCAL_FILE}
fi

BDPGENERIC_PATH=${BDPROOT_PATH}BDP_Generic
BDPLINUX_PATH=${BDPROOT_PATH}BDP_Linux

tar xjf libmtp-1.1.6.tar.bz2
tar xjf libusb-1.0.9.tar.bz2
tar xjf libusb-compat-0.1.4.tar.bz2

export INSTALLPATH=$TAR_INSTALL_PATH/mtp/$LIBMTPNAME/install

echo 
echo "USB Version: $LIBUSBPATH"
echo "USB Compat Version: $LIBUSBCOMPATPATH"
echo "LibMtp Version: $LIBMTPPATH"
echo

cd $BDPLINUX_PATH/oss/library/mtp
mkdir -p $LIBMTPNAME/install
cd $BDPLINUX_PATH/oss/source/mtp/$LIBMTPNAME

if [ ! -d ${LIBUSBPATH} ]; then
	echo "please down $LIBUSBPATH package from P4"
        exit
fi
cp ./usb/build.sh ${LIBUSBPATH}
cd $LIBUSBPATH
./build.sh
cd ..

if [ ! -d ${LIBUSBCOMPATPATH} ]; then
        echo "please down $LIBUSBCOMPATPATH package from P4"
        exit
fi
export PKG_CONFIG_PATH=${PWD}/$LIBUSBPATH
echo $PKG_CONFIG_PATH
cp ./usb-compat/build.sh ${LIBUSBCOMPATPATH}
cd $LIBUSBCOMPATPATH
./build.sh
cd ..

if [ ! -d ${LIBMTPPATH} ]; then
        echo "please down $LIBMTPPATH package from P4"
        exit
fi
cp ./mtp/config.h.in ${LIBMTPPATH}
cp ./mtp/build.sh ${LIBMTPPATH}
cd $LIBMTPPATH
./build.sh
cd ..

echo "build success"
